"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadImage = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const loadImage = (src, _ref) => {
  let {
    onSuccess,
    onFailure
  } = _ref;
  const image = new Image();
  image.onload = onSuccess;
  image.onerror = onFailure;
  image.src = src;
};
exports.loadImage = loadImage;