"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `ExtendedStatusMessageSeparator` is a part of [ExtendedStatusMessage](#!/ExtendedStatusMessage) component.
 * @since 0.0.35
 */

const ExtendedStatusMessageSeparator = _ref => {
  let {
    className,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("hr", {
    className: (0, _classnames.default)(className),
    ...props
  });
};
var _default = exports.default = ExtendedStatusMessageSeparator;