"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `MediaSection` is a part of [Media](#!/Media) component.
 * @since 0.0.68
 */
const MediaSection = _ref => {
  let {
    className,
    children,
    baseClassName = `${_constants.CLS_PREFIX}media-section`,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(baseClassName, className),
    ...props,
    children: children
  });
};
var _default = exports.default = MediaSection;