"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _Icon = _interopRequireWildcard(require("../Icon"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `MenuBaseItem` component.
 * @since 0.0.60
 */
const MenuBaseItem = _ref => {
  let {
    className,
    children,
    icon,
    label,
    component: Component = 'div',
    baseClassName = `${_constants.CLS_PREFIX}menu__base-item`,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(Component, {
    className: (0, _classnames.default)(baseClassName, className),
    ...props,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: `${baseClassName}-icon`,
      children: _Icon.default.create(icon, {
        size: _Icon.ICON_SIZE_16
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: `${baseClassName}-content`,
      children: children
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: `${baseClassName}-label`,
      children: label
    })]
  });
};
var _default = exports.default = MenuBaseItem;