"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `MenuDivider` is a part of [Menu](#!/Menu) component.
 * @since 0.0.57
 */
const MenuDivider = _ref => {
  let {
    className,
    baseClassName = `${_constants.CLS_PREFIX}menu__divider`,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(baseClassName, className),
    role: "separator",
    ...props
  });
};
var _default = exports.default = MenuDivider;