"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _MenuBaseItem = _interopRequireDefault(require("./MenuBaseItem"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `MenuHeader` is a part of [Menu](#!/Menu) component.
 * @since 0.0.57
 */
const MenuHeader = _ref => {
  let {
    className,
    children,
    baseClassName = `${_constants.CLS_PREFIX}menu__header`,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_MenuBaseItem.default, {
    className: (0, _classnames.default)(baseClassName, className),
    role: "none",
    ...props,
    children: children
  });
};
var _default = exports.default = MenuHeader;