"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Paragraph` is a block containing a single paragraph of [Text](#!/Text).
 * @since 1.1.0
 */
const Paragraph = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}paragraph`,
    className,
    children,
    component: Tag = 'p',
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Tag, {
    className: (0, _classnames.default)(baseClassName, className),
    ...props,
    children: children
  });
};
var _default = exports.default = Paragraph;