"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Plaintext` component is used to show regular text, without any formatting options and ignoring html tags.
 * @since 0.0.42
 */
const Plaintext = _ref => {
  let {
    className,
    children,
    baseClassName = `${_constants.CLS_PREFIX}plaintext`
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("pre", {
    className: (0, _classnames.default)(baseClassName, className),
    children: children
  });
};
var _default = exports.default = Plaintext;