"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCollapsed = void 0;
var _react = require("react");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const useCollapsed = externalCollapsed => {
  const [collapsed, setCollapsed] = (0, _react.useState)(externalCollapsed ?? false);
  const [prevExternalCollapsed, setPrevExternalCollapsed] = (0, _react.useState)(externalCollapsed);
  if (externalCollapsed !== prevExternalCollapsed) {
    setPrevExternalCollapsed(externalCollapsed);
    setCollapsed(externalCollapsed ?? false);
  }
  return [collapsed, setCollapsed];
};
exports.useCollapsed = useCollapsed;