"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSelectedValues = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const getSelectedValues = selected => {
  if (selected === undefined) {
    return [];
  }
  if (Array.isArray(selected)) {
    return selected;
  }
  return [selected];
};
exports.getSelectedValues = getSelectedValues;