"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _SkeletonText = _interopRequireDefault(require("./SkeletonText"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * Skeleton for tabs component
 * @since `3.28.0
 */
const SkeletonTabs = _ref => {
  let {
    count = 3,
    className,
    baseClassName = `${_constants.CLS_PREFIX}skeleton-tabs`,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(baseClassName, className),
    ...props,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_SkeletonText.default, {
      lineProps: {
        maxWidth: 100
      },
      lines: count
    })
  });
};
var _default = exports.default = SkeletonTabs;