"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _Icon = _interopRequireDefault(require("../Icon"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const TabClose = _ref => {
  let {
    tabMode,
    onClose,
    baseClassName
  } = _ref;
  if (typeof onClose !== 'function') {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("button", {
    className: `${baseClassName}__${tabMode}-close`,
    type: "button",
    onClick: e => {
      e.preventDefault();
      e.stopPropagation();
      onClose(e);
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
      className: `${baseClassName}__${tabMode}-close-icon`,
      name: "cross-mark"
    })
  });
};
var _default = exports.default = TabClose;