"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _classnames = _interopRequireDefault(require("classnames"));
var _Label = _interopRequireDefault(require("../Label"));
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const TabLabel = _ref => {
  let {
    label,
    tabMode,
    baseClassName
  } = _ref;
  if (typeof label === 'string') {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Label.default, {
      className: `${baseClassName}__${tabMode}-label`,
      intent: "danger",
      children: label
    });
  }
  if (/*#__PURE__*/(0, _react.isValidElement)(label)) {
    return /*#__PURE__*/(0, _react.cloneElement)(label, {
      className: (0, _classnames.default)(`${baseClassName}__${tabMode}-label`, label.props.className)
    });
  }
  return null;
};
var _default = exports.default = TabLabel;