"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setLocale = exports.getLocaleMessages = exports.getLocale = void 0;
var _locales = _interopRequireDefault(require("../../locales"));
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const DEFAULT_LOCALE = 'en-US';
let currenLocale = DEFAULT_LOCALE;
const setLocale = locale => {
  currenLocale = locale;
};
exports.setLocale = setLocale;
const getLocale = () => currenLocale;
exports.getLocale = getLocale;
const getLocaleMessages = () => (_locales.default[currenLocale] ?? Object.values(_locales.default).find(_ref => {
  let {
    language
  } = _ref;
  return language === `${currenLocale}`.toLocaleLowerCase();
}) ?? _locales.default[DEFAULT_LOCALE])?.messages;
exports.getLocaleMessages = getLocaleMessages;