"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
var _default = exports.default = {
  Card: {
    select: 'Wybierz',
    titleLinkTooltip: 'Przejdź do strony',
    collapseCardTooltip: 'Zwiń kartę',
    expandCardTooltip: 'Rozwiń kartę'
  },
  CardList: {
    loadMore: 'Załaduj więcej',
    notFound: 'Nie znaleziono żadnych elementów.',
    toolbarSelect: 'Wybierz',
    viewCards: 'Karty',
    viewTiles: 'Kafelki',
    viewList: 'Lista',
    toolbarView: 'Widok'
  },
  ClosingConfirmation: {
    confirm: 'Wyjdź',
    cancel: 'Wróć',
    content: 'Czy na pewno chcesz zamknąć i opuścić to okno? Wszelkie zmiany w danych, które dokonałeś, nie zostaną zapisane.'
  },
  Cuttable: {
    showMore: 'Pokaż więcej',
    showLess: 'Pokaż mniej'
  },
  Dialog: {
    cancelButton: 'Anuluj'
  },
  DrawerProgress: {
    cancelButton: 'Anuluj'
  },
  Dropdown: {
    close: 'Zamknij'
  },
  Form: {
    submitButton: 'Zapisz',
    applyButton: 'Zastosuj',
    cancelButton: 'Anuluj'
  },
  FormField: {
    clear: 'Wyczyść',
    remove: 'Usuń',
    addMore: 'Dodaj jeszcze jeden'
  },
  FormFieldPassword: {
    improvePassword: 'Aby ulepszyć Twoje hasło:',
    passwordTooShort: 'Wydłuż swoje hasło.',
    lettersLowerCase: 'Wykorzystaj co najmniej jedną małą literę.',
    lettersUpperCase: 'Wykorzystaj co najmniej jedną dużą literę.',
    numbers1: 'Wykorzystaj co najmniej jedną cyfrę.',
    numbers3: 'Wykorzystaj co najmniej trzy cyfry.',
    specialChar1: 'Wykorzystaj co najmniej jeden znak specjalny (np. !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'Wykorzystaj co najmniej dwa znaki specjalne (np. !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'Wykorzystaj małe i duże litery.',
    comboLettersAndNumbers: 'Wykorzystaj cyfry i litery.',
    comboLettersNumbersSpecial: 'Wykorzystaj cyfry, litery i znaki specjalne.',
    yourPasswordIsStrong: 'Możesz je jeszcze wzmocnić poprzez wydłużenie.',
    passwordStrength: 'Siła hasła to: %%strength%%.',
    strengthVeryStrong: 'BARDZO SILNE',
    strengthStrong: 'SILNE',
    strengthVeryWeak: 'BARDZO SŁABE',
    strengthWeak: 'SŁABE',
    strengthMedium: 'ŚREDNIE',
    hidePassword: 'Ukryj hasło',
    showPassword: 'Pokaż hasło',
    generateButton: 'Wygeneruj',
    copyButtonHint: 'Kopiuj hasło',
    copySuccessToast: 'Hasło zostało skopiowane',
    generateButtonHint: 'Wygeneruj silne hasło'
  },
  InPlaceEdit: {
    editButtonHint: 'Edytuj wartość',
    okButtonHint: 'Zapisz zmiany',
    cancelButtonHint: 'Odrzuć zmiany'
  },
  InputFile: {
    browseButton: 'Wybierz plik...'
  },
  List: {
    totalRows: 'Łącznie %%totalRows%% elementów',
    selectedRows: 'Wybrano %%selectedRows%% z %%totalRows%% elementów',
    all: 'Wszystkie',
    allItemsOnPageSelected: 'Wybrano wszystkie elementy na stronie',
    allItemsSelected: 'Wybrano wszystkie elementy',
    selectAllItems: 'Wybierz wszystkie elementy',
    selectAllItemsOnPage: 'Wybierz wszystkie elementy na stronie',
    deselectAll: 'Odznacz'
  },
  ListEmptyView: {
    filteredTitle: 'Nie można znaleźć żadnych elementów pasujących do filtra',
    emptyTitle: 'Wygląda na to, że nic tu nie ma',
    filteredDescription: 'Doprecyzuj zapytanie lub usuń niektóre kryteria z filtra i spróbuj ponownie.'
  },
  ListOperation: {
    cancelButton: 'Anuluj'
  },
  Pagination: {
    totalShort: 'z %%total%%',
    itemsPerPage: 'Elementów na stronę',
    all: 'Wszystkie',
    total: 'Strona %%current%% z %%total%%'
  },
  ProgressDialog: {
    closeButton: 'Zamknij',
    cancelButton: 'Anuluj'
  },
  Select: {
    noOptions: 'Brak opcji',
    placeholder: 'Wybierz...'
  },
  SpotPopup: {
    total: '%%current%% z %%total%%'
  },
  Toaster: {
    closeGroup: 'Zamknij grupę'
  }
};