"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
var _default = exports.default = {
  Card: {
    select: 'Вибрати',
    titleLinkTooltip: 'Перейти на сторінку',
    collapseCardTooltip: 'Згорнути картку',
    expandCardTooltip: 'Розгорнути картку'
  },
  CardList: {
    loadMore: 'Завантажити більше',
    notFound: 'Елементи не знайдено.',
    toolbarSelect: 'Вибрати',
    viewCards: 'Картки',
    viewTiles: 'Плитки',
    viewList: 'Список',
    toolbarView: 'Вигляд'
  },
  ClosingConfirmation: {
    confirm: 'Вийти',
    cancel: 'Повернутися',
    content: 'Ви впевнені, що хочете закрити це вікно й вийти з нього? Будь-які внесені зміни до даних не збережуться.'
  },
  Cuttable: {
    showMore: 'Показати більше',
    showLess: 'Показати менше'
  },
  Dialog: {
    cancelButton: 'Скасувати'
  },
  DrawerProgress: {
    cancelButton: 'Скасувати'
  },
  Dropdown: {
    close: 'Закрити'
  },
  Form: {
    submitButton: 'Зберегти',
    applyButton: 'Застосувати',
    cancelButton: 'Скасувати'
  },
  FormField: {
    clear: 'Очистити',
    remove: 'Видалити',
    addMore: 'Додати ще одне'
  },
  FormFieldPassword: {
    improvePassword: 'Для поліпшення вашого пароля:',
    passwordTooShort: 'Зробіть пароль довшим.',
    lettersLowerCase: 'Використайте щонайменше одну малу літеру.',
    lettersUpperCase: 'Використайте щонайменше одну велику літеру.',
    numbers1: 'Використайте щонайменше одну цифру.',
    numbers3: 'Використайте щонайменше три цифри.',
    specialChar1: 'Використайте щонайменше один спеціальний символ (наприклад: !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'Використайте щонайменше два спеціальні символи (наприклад: !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'Використайте як великі, так і малі літери.',
    comboLettersAndNumbers: 'Використайте як цифри, так і літери.',
    comboLettersNumbersSpecial: 'Використайте цифри, літери та спеціальні символи.',
    yourPasswordIsStrong: 'Ви можете зробити свій пароль ще надійнішим, збільшивши його довжину.',
    passwordStrength: 'Надійність пароля: %%strength%%.',
    strengthVeryStrong: 'ДУЖЕ НАДІЙНИЙ',
    strengthStrong: 'НАДІЙНИЙ',
    strengthVeryWeak: 'ДУЖЕ СЛАБКИЙ',
    strengthWeak: 'СЛАБКИЙ',
    strengthMedium: 'СЕРЕДНІЙ',
    hidePassword: 'Приховати пароль',
    showPassword: 'Показати пароль',
    generateButton: 'Згенерувати',
    copyButtonHint: 'Скопіювати пароль',
    copySuccessToast: 'Пароль скопійовано',
    generateButtonHint: 'Згенерувати надійний пароль'
  },
  InPlaceEdit: {
    editButtonHint: 'Редагувати значення',
    okButtonHint: 'Зберегти зміни',
    cancelButtonHint: 'Вилучити зміни'
  },
  InputFile: {
    browseButton: 'Вибрати файл...'
  },
  List: {
    totalRows: 'Загалом елементів: %%totalRows%%',
    selectedRows: 'Вибрано елементів: %%selectedRows%% з %%totalRows%%',
    all: 'Усі',
    allItemsOnPageSelected: 'Вибрано всі елементи на сторінці',
    allItemsSelected: 'Вибрано всі елементи',
    selectAllItems: 'Вибрати всі елементи',
    selectAllItemsOnPage: 'Вибрати всі елементи на сторінці',
    deselectAll: 'Скасувати вибір'
  },
  ListEmptyView: {
    filteredTitle: 'Неможливо знайти елементи, що відповідають фільтру',
    emptyTitle: 'Схоже, тут нічого немає',
    filteredDescription: 'Уточніть запит або видаліть кілька умов із фільтру й спробуйте ще раз.'
  },
  ListOperation: {
    cancelButton: 'Скасувати'
  },
  Pagination: {
    totalShort: 'з %%total%%',
    itemsPerPage: 'Елементів на сторінку',
    all: 'Усі',
    total: 'Сторінка %%current%% з %%total%%'
  },
  ProgressDialog: {
    closeButton: 'Закрити',
    cancelButton: 'Скасувати'
  },
  Select: {
    noOptions: 'Порожньо',
    placeholder: 'Вибрати...'
  },
  SpotPopup: {
    total: '%%current%% з %%total%%'
  },
  Toaster: {
    closeGroup: 'Закрити групу'
  }
};