// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import React from 'react';
import ProgressStep from '../ProgressStep';

/**
 * @deprecated Component `ProgressDialogStep` is deprecated, use `ProgressStep` instead.
 * @since 1.2.0
 */
import { jsx as _jsx } from "react/jsx-runtime";
const ProgressDialogStep = props => {
  if (process.env.NODE_ENV !== 'production') {
    // eslint-disable-next-line no-console
    console.warn('Component ProgressDialogStep is deprecated, use ProgressStep instead.');
  }
  return /*#__PURE__*/_jsx(ProgressStep, {
    ...props
  });
};
export default ProgressDialogStep;