// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import { useState } from 'react';
export const useActive = externalActive => {
  const [active, setActive] = useState(externalActive || 1);
  const [prevExternalActive, setPrevExternalActive] = useState(externalActive);
  if (externalActive && externalActive !== prevExternalActive) {
    setPrevExternalActive(externalActive);
    setActive(externalActive);
  }
  return [active, setActive];
};