// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

export default {
  Card: {
    select: 'בחירה',
    titleLinkTooltip: 'מעבר לדף',
    collapseCardTooltip: 'צמצום הכרטיס',
    expandCardTooltip: 'הרחבת הכרטיס'
  },
  CardList: {
    loadMore: 'לטעון עוד',
    notFound: 'לא נמצאו פריטים.',
    toolbarSelect: 'בחירה',
    viewCards: 'כרטיסים',
    viewTiles: 'אריחים',
    viewList: 'רשימה',
    toolbarView: 'תצוגה'
  },
  ClosingConfirmation: {
    confirm: 'יציאה',
    cancel: 'חזרה',
    content: 'בטוחים שאתם רוצים לסגור ולצאת מהחלון הזה? כל השינויים שביצעתם בנתונים לא יישמרו.'
  },
  Cuttable: {
    showMore: 'להציג עוד',
    showLess: 'להציג פחות'
  },
  Dialog: {
    cancelButton: 'ביטול'
  },
  DrawerProgress: {
    cancelButton: 'ביטול'
  },
  Dropdown: {
    close: 'סגירה'
  },
  Form: {
    submitButton: 'שמירה',
    applyButton: 'החלה',
    cancelButton: 'ביטול'
  },
  FormField: {
    clear: 'ניקוי',
    remove: 'הסרה',
    addMore: 'הוספת שורה לשדה'
  },
  FormFieldPassword: {
    improvePassword: 'כדי לשפר את הסיסמה:',
    passwordTooShort: 'האריכו את הסיסמה.',
    lettersLowerCase: 'השתמשו לפחות באות קטנה אחת.',
    lettersUpperCase: 'השתמשו לפחות באות גדולה אחת.',
    numbers1: 'השתמשו לפחות בספרה אחת.',
    numbers3: 'השתמשו לפחות ב-3 מספרים.',
    specialChar1: 'השתמשו לפחות בתו מיוחד אחד (למשל: !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'השתמשו לפחות בשני תווים מיוחדים (למשל: !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'השתמש גם באותיות גדולות וגם באותיות קטנות.',
    comboLettersAndNumbers: 'השתמש גם במספרים וגם בתווים.',
    comboLettersNumbersSpecial: 'השתמש במספרים, בתווים ובתווים מיוחדים.',
    yourPasswordIsStrong: 'כדי להפוך אותה לעוד יותר חזקה, אתם יכולים להאריך אותה.',
    passwordStrength: 'חוזק הסיסמה הוא %%strength%%.',
    strengthVeryStrong: 'חזק מאוד',
    strengthStrong: 'חזק',
    strengthVeryWeak: 'חלש מאוד',
    strengthWeak: 'חלש',
    strengthMedium: 'בינוני',
    hidePassword: 'הסתרת הסיסמה',
    showPassword: 'הצגת הסיסמה',
    generateButton: 'יצירה',
    copyButtonHint: 'העתקת הסיסמה',
    copySuccessToast: 'הסיסמה הועתקה',
    generateButtonHint: 'יצירת סיסמה חזקה'
  },
  InPlaceEdit: {
    editButtonHint: 'עריכת הערך',
    okButtonHint: 'שמירת השינויים',
    cancelButtonHint: 'ביטול השינויים'
  },
  InputFile: {
    browseButton: 'בחירת קובץ…'
  },
  List: {
    totalRows: '%%totalRows%% פריטים סך הכול',
    selectedRows: '%%selectedRows%% מתוך %%totalRows%% פריטים נבחרו',
    all: 'כל הפריטים',
    allItemsOnPageSelected: 'כל הפריטים בדף נבחרו',
    allItemsSelected: 'כל הפריטים נבחרו',
    selectAllItems: 'בחירת כל הפריטים',
    selectAllItemsOnPage: 'בחירת כל הפריטים בדף',
    deselectAll: 'ביטול הבחירה'
  },
  ListEmptyView: {
    filteredTitle: 'לא הצלחנו למצוא פריטים שתואמים למסנן',
    emptyTitle: 'נראה שאין שום דבר כאן',
    filteredDescription: 'שפרו את השאילתה או הסירו מהמסנן כמה מהקריטריונים ונסו שוב.'
  },
  ListOperation: {
    cancelButton: 'ביטול'
  },
  Pagination: {
    totalShort: 'מתוך %%total%%',
    itemsPerPage: 'פריטים בכל דף',
    all: 'הכול',
    total: 'דף %%current%% מתוך %%total%%'
  },
  ProgressDialog: {
    closeButton: 'סגירה',
    cancelButton: 'ביטול'
  },
  Select: {
    noOptions: 'אין אפשרויות לבחירה',
    placeholder: 'בחירה…'
  },
  SpotPopup: {
    total: '%%current%% מתוך %%total%%'
  },
  Toaster: {
    closeGroup: 'סגירת הקבוצה'
  }
};