// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

export default {
  Card: {
    select: 'Pilih',
    titleLinkTooltip: 'Pergi ke halaman',
    collapseCardTooltip: 'Tutup kartu',
    expandCardTooltip: 'Perluas kartu'
  },
  CardList: {
    loadMore: 'Muat lebih banyak',
    notFound: 'Tidak ada item yang ditemukan.',
    toolbarSelect: 'Pilih',
    viewCards: 'Kartu',
    viewTiles: 'Ubin',
    viewList: 'Daftar',
    toolbarView: 'Lihat'
  },
  ClosingConfirmation: {
    confirm: 'Keluar',
    cancel: 'Kembali',
    content: 'Apakah Anda yakin mau menutup dan meninggalkan jendela ini? Semua perubahan data yang Anda lakukan tidak akan disimpan.'
  },
  Cuttable: {
    showMore: 'Tampilkan lebih banyak',
    showLess: 'Tampilkan lebih sedikit'
  },
  Dialog: {
    cancelButton: 'Batalkan'
  },
  DrawerProgress: {
    cancelButton: 'Batalkan'
  },
  Dropdown: {
    close: 'Tutup'
  },
  Form: {
    submitButton: 'Simpan',
    applyButton: 'Terapkan',
    cancelButton: 'Batalkan'
  },
  FormField: {
    clear: 'Bersihkan',
    remove: 'Hapus',
    addMore: 'Tambahkan satu lagi'
  },
  FormFieldPassword: {
    improvePassword: 'Untuk memperkuat kata sandi Anda:',
    passwordTooShort: 'Buat kata sandi lebih panjang.',
    lettersLowerCase: 'Gunakan sedikitnya satu huruf kecil.',
    lettersUpperCase: 'Gunakan sedikitnya satu huruf besar.',
    numbers1: 'Gunakan sedikitnya satu angka.',
    numbers3: 'Gunakan sedikitnya tiga angka.',
    specialChar1: 'Gunakan sedikitnya satu karakter khusus (sebagai contoh: !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'Gunakan sedikitnya dua karakter khusus (sebagai contoh: !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'Gunakan huruf besar dan huruf kecil.',
    comboLettersAndNumbers: 'Gunakan angka dan karakter.',
    comboLettersNumbersSpecial: 'Gunakan angka, karakter, dan karakter khusus.',
    yourPasswordIsStrong: 'Anda dapat membuatnya lebih kuat dengan memperpanjangnya.',
    passwordStrength: 'Kekuatan kata sandi adalah %%strength%%.',
    strengthVeryStrong: 'SANGAT KUAT',
    strengthStrong: 'KUAT',
    strengthVeryWeak: 'SANGAT LEMAH',
    strengthWeak: 'LEMAH',
    strengthMedium: 'SEDANG',
    hidePassword: 'Sembunyikan kata sandi',
    showPassword: 'Tunjukkan kata sandi',
    generateButton: 'Hasilkan',
    copyButtonHint: 'Salin kata sandi',
    copySuccessToast: 'Kata sandi sudah disalin',
    generateButtonHint: 'Hasilkan kata sandi kuat'
  },
  InPlaceEdit: {
    editButtonHint: 'Edit nilai',
    okButtonHint: 'Simpan perubahan',
    cancelButtonHint: 'Buang perubahan'
  },
  InputFile: {
    browseButton: 'Pilih file...'
  },
  List: {
    totalRows: '%%totalRows%% total item',
    selectedRows: '%%selectedRows%% dari %%totalRows%% item dipilih',
    all: 'Semua',
    allItemsOnPageSelected: 'Semua item di halaman dipilih',
    allItemsSelected: 'Semua item dipilih',
    selectAllItems: 'Pilih semua item',
    selectAllItemsOnPage: 'Pilih semua item di halaman',
    deselectAll: 'Batalkan pilihan'
  },
  ListEmptyView: {
    filteredTitle: 'Tidak dapat menemukan item yang sesuai dengan filter',
    emptyTitle: 'Sepertinya tidak ada apa pun di sini',
    filteredDescription: 'Perbaiki kueri Anda atau hapus beberapa kriteria dari filter dan coba lagi.'
  },
  ListOperation: {
    cancelButton: 'Batalkan'
  },
  Pagination: {
    totalShort: 'dari %%total%%',
    itemsPerPage: 'Item per halaman',
    all: 'Semua',
    total: 'Halaman %%current%% dari %%total%%'
  },
  ProgressDialog: {
    closeButton: 'Tutup',
    cancelButton: 'Batalkan'
  },
  Select: {
    noOptions: 'Tidak ada pilihan',
    placeholder: 'Pilih...'
  },
  SpotPopup: {
    total: '%%current%% dari %%total%%'
  },
  Toaster: {
    closeGroup: 'Tutup grup'
  }
};