import { FunctionComponent } from 'react';
export type ComboBoxOptionProps = {
    /**
     * Whether disabled or not.
     * @since 2.6.0
     */
    disabled?: boolean;
    /**
     * An option value.
     * @since 2.6.0
     */
    children: string;
};
/**
 * `ComboBoxOption` is a part of [ComboBox](#!/ComboBox) component.
 * @since 2.6.0
 */
declare const ComboBoxOption: FunctionComponent<ComboBoxOptionProps>;
export default ComboBoxOption;
