import { FunctionComponent, ReactNode } from 'react';
export type ExtendedStatusMessageTitleProps = {
    /**
     * Content of the `ExtendedStatusMessageTitle`.
     * @since 0.0.47
     */
    children: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `ExtendedStatusMessageTitle` is a part of [ExtendedStatusMessage](#!/ExtendedStatusMessage) component.
 * @since 0.0.35
 */
declare const ExtendedStatusMessageTitle: FunctionComponent<ExtendedStatusMessageTitleProps>;
export default ExtendedStatusMessageTitle;
