import { FunctionComponent, ReactElement } from 'react';
import { PopoverProps } from '../Popover';
import estimatePassword, { EstimateResult, EstimateRule } from './estimatePassword';
export type PasswordMeterProps = {
    children: ReactElement;
    value: string;
    onEstimate?: (password: string, defaultEstimateFn: typeof estimatePassword, defaultEstimateRules: EstimateRule[]) => EstimateResult;
} & Omit<PopoverProps, 'children' | 'target'>;
declare const PasswordMeter: FunctionComponent<PasswordMeterProps>;
export default PasswordMeter;
