import { ReactNode } from 'react';
export type EstimateRule = {
    name: string;
    suggestion?: ReactNode;
    score: (password: string) => number;
};
export type EstimateResult = {
    strength: 'VeryWeak' | 'Weak' | 'Medium' | 'Strong' | 'VeryStrong';
    suggestions: ReactNode[];
};
export declare const DEFAULT_RULES: EstimateRule[];
declare const _default: (password: string, rules?: EstimateRule[]) => EstimateResult;
export default _default;
