import { ComponentProps } from 'react';
import { MenuDivider } from '../Menu';
export type ListActionsDividerProps = ComponentProps<typeof MenuDivider>;
/**
 * `ListActionsDivider` component is a part of [ListActions](#!/ListActions) component.
 * It accepts the props of [MenuDivider](#!/MenuDivider) component.
 * @since 3.10.0
 */
declare const ListActionsDivider: (props: ListActionsDividerProps) => import("react/jsx-runtime").JSX.Element;
export default ListActionsDivider;
