import { ReactNode } from 'react';
export interface MediaSectionProps {
    /**
     * Content of the `MediaSection`.
     * @since 0.0.68
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `MediaSection` is a part of [Media](#!/Media) component.
 * @since 0.0.68
 */
declare const MediaSection: ({ className, children, baseClassName, ...props }: MediaSectionProps) => import("react/jsx-runtime").JSX.Element;
export default MediaSection;
