import { ReactNode } from 'react';
export interface MenuHeaderProps {
    /**
     * Content of the `MenuHeader`.
     * @since 0.0.57
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `MenuHeader` is a part of [Menu](#!/Menu) component.
 * @since 0.0.57
 */
declare const MenuHeader: ({ className, children, baseClassName, ...props }: MenuHeaderProps) => import("react/jsx-runtime").JSX.Element;
export default MenuHeader;
