import { ReactNode } from 'react';
import './Plaintext.less';
export interface PlainTextProps {
    /**
     * Content of the Plaintext
     * @since 0.0.42
     */
    children: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `Plaintext` component is used to show regular text, without any formatting options and ignoring html tags.
 * @since 0.0.42
 */
declare const Plaintext: ({ className, children, baseClassName, }: PlainTextProps) => import("react/jsx-runtime").JSX.Element;
export default Plaintext;
