import './Rating.less';
export interface RatingProps {
    /**
     * Rating value from 0 to 5.
     * @since 0.0.42
     */
    value?: number;
    /**
     * Small variant.
     * @since 0.0.42
     */
    small?: boolean;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * `Rating` component is used for showing and collecting feedback of users' opinion in 0-5 grade scale.
 * @since 0.0.42
 */
declare const Rating: ({ baseClassName, className, value, small, ...props }: RatingProps) => import("react/jsx-runtime").JSX.Element;
export default Rating;
