import { FC } from 'react';
import './SkeletonTabs.less';
export interface SkeletonTabsProps {
    /**
     * Number of tabs
     * @since 3.28.0
     */
    count?: number;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
}
/**
 * Skeleton for tabs component
 * @since `3.28.0
 */
declare const SkeletonTabs: FC<SkeletonTabsProps>;
export default SkeletonTabs;
