import { FunctionComponent } from 'react';
import '../../helpers/base.less';
import './Spinner.less';
export interface SpinnerProps {
    /**
     * Whether to animate the spinner color
     * @since 3.41.0
     */
    colorAnimation?: boolean;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
}
/**
 * `Spinner` component.
 */
declare const Spinner: FunctionComponent<SpinnerProps>;
export default Spinner;
