import { HTMLAttributes } from 'react';
import { DataAttributes } from '../../utils/types';
import './SpotPulsar.less';
export interface SpotPulsarProps extends HTMLAttributes<HTMLDivElement>, DataAttributes {
    baseClassName?: string;
    className?: string;
    rect: DOMRect;
    placement?: 'left' | 'center' | 'right';
}
declare const SpotPulsar: import("react").ForwardRefExoticComponent<SpotPulsarProps & import("react").RefAttributes<HTMLDivElement>>;
export default SpotPulsar;
