import { RefObject } from 'react';
type UseWidthsOptions = {
    tabNavRef: RefObject<HTMLDivElement>;
    tabListRef: RefObject<HTMLUListElement>;
    addonRef: RefObject<HTMLDivElement>;
    baseClassName: string;
    monospaced?: boolean;
    childrenCount: number;
};
export declare const useWidths: ({ tabNavRef, tabListRef, addonRef, baseClassName, monospaced, childrenCount, }: UseWidthsOptions) => {
    recalculateWidths: () => void;
    monospacedWidth: number | undefined;
    compact: boolean;
    visibleLength: number;
};
export {};
