import { RefObject } from 'react';
type UseMutationObserverOptions<T extends HTMLElement = HTMLElement> = {
    ref: RefObject<T>;
    onMutate?: () => void;
    options?: MutationObserverInit;
};
export declare const useMutationObserver: <Element extends HTMLElement = HTMLElement>({ ref, onMutate, options, }: UseMutationObserverOptions<Element>) => void;
export {};
