import { RefObject } from 'react';
export type UseSqueezeOptions<Element extends HTMLElement = HTMLElement> = {
    ref: RefObject<Element>;
    compact: () => boolean;
    expand: () => boolean;
};
export declare const useSqueeze: <Element extends HTMLElement = HTMLElement>({ ref, compact, expand, }: UseSqueezeOptions<Element>) => void;
