"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getButtonContextValue = exports.default = exports.ButtonContext = void 0;
var _react = require("react");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const defaultValue = {
  defaultProps: {
    size: undefined
  }
};
const ButtonContext = exports.ButtonContext = /*#__PURE__*/(0, _react.createContext)(defaultValue);
const getButtonContextValue = value => ({
  ...defaultValue,
  ...value,
  defaultProps: {
    ...defaultValue.defaultProps,
    ...(value.defaultProps || {})
  }
});
exports.getButtonContextValue = getButtonContextValue;
var _default = exports.default = ButtonContext;