"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `ButtonGroup` component is used for visual grouping of several [Buttons](#!/Button) together.
 * @since 0.0.37
 */
const ButtonGroup = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}button-group`,
    className,
    children,
    innerRef,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(baseClassName, className),
    ref: innerRef,
    ...props,
    children: children
  });
};
var _default = exports.default = ButtonGroup;