"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/**
 * `Hint` component is used for auxiliary text like advice, suggestion or other useful practical information.
 * @since 0.0.35
 */
const Hint = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}hint`,
    className,
    children,
    component,
    ...props
  } = _ref;
  const Tag = component || 'span';
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Tag, {
    className: (0, _classnames.default)(baseClassName, className),
    ...props,
    children: children
  });
};
var _default = exports.default = Hint;