"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _constants = require("../../constants");
var _jsxRuntime = require("react/jsx-runtime");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const ProgressIndicator = _ref => {
  let {
    baseClassName = `${_constants.CLS_PREFIX}progress-bar__indicator`,
    className,
    intent,
    progress = -1,
    ...props
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)(baseClassName, {
      [`${baseClassName}--${intent}`]: intent,
      [`${baseClassName}--indeterminate`]: progress === -1
    }, className),
    style: progress >= 0 && progress <= 100 ? {
      width: `${progress}%`
    } : undefined,
    ...props
  });
};
var _default = exports.default = ProgressIndicator;