"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _Menu = _interopRequireWildcard(require("../Menu"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const DropdownControl = _ref => {
  let {
    buttons,
    selected,
    onClick
  } = _ref;
  const {
    title = ''
  } = buttons.find(button => button.value === selected) || {};
  const menu = /*#__PURE__*/(0, _jsxRuntime.jsx)(_Menu.default, {
    children: buttons.map(_ref2 => {
      let {
        title,
        value,
        ...buttonProps
      } = _ref2;
      const handleClick = () => {
        onClick(value);
      };
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Menu.MenuItem, {
        ...buttonProps,
        onClick: handleClick,
        children: title
      }, `${value}`);
    })
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.default, {
    menu: menu,
    children: title
  });
};
var _default = exports.default = DropdownControl;