"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _hooks = require("../../hooks");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

/** Render-less useSqueeze wrapper */
const Squeezer = /*#__PURE__*/(0, _react.forwardRef)((props, ref) => {
  (0, _hooks.useSqueeze)({
    ref: ref,
    ...props
  });
  return null;
});
Squeezer.displayName = 'Squeezer';
var _default = exports.default = Squeezer;