"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useActive = void 0;
var _react = require("react");
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const useActive = externalActive => {
  const [active, setActive] = (0, _react.useState)(externalActive || 1);
  const [prevExternalActive, setPrevExternalActive] = (0, _react.useState)(externalActive);
  if (externalActive && externalActive !== prevExternalActive) {
    setPrevExternalActive(externalActive);
    setActive(externalActive);
  }
  return [active, setActive];
};
exports.useActive = useActive;