"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
var _default = exports.default = {
  Card: {
    select: 'Seleccionar',
    titleLinkTooltip: 'Ir a la página',
    collapseCardTooltip: 'Contraer la tarjeta',
    expandCardTooltip: 'Expandir la tarjeta'
  },
  CardList: {
    loadMore: 'Cargar más',
    notFound: 'No se ha encontrado ningún elemento.',
    toolbarSelect: 'Seleccionar',
    viewCards: 'Tarjetas',
    viewTiles: 'Mosaico',
    viewList: 'Lista',
    toolbarView: 'Vista'
  },
  ClosingConfirmation: {
    confirm: 'Salir',
    cancel: 'Volver',
    content: '¿Seguro que quiere cerrar la ventana? Se perderán los cambios.'
  },
  Cuttable: {
    showMore: 'Mostrar más',
    showLess: 'Mostrar menos'
  },
  Dialog: {
    cancelButton: 'Cancelar'
  },
  DrawerProgress: {
    cancelButton: 'Cancelar'
  },
  Dropdown: {
    close: 'Cerrar'
  },
  Form: {
    submitButton: 'Guardar',
    applyButton: 'Aplicar',
    cancelButton: 'Cancelar'
  },
  FormField: {
    clear: 'Borrar',
    remove: 'Eliminar',
    addMore: 'Añadir otro'
  },
  FormFieldPassword: {
    improvePassword: 'Para mejorar su contraseña:',
    passwordTooShort: 'Aumente la longitud de la contraseña.',
    lettersLowerCase: 'Use al menos una letra en minúscula.',
    lettersUpperCase: 'Use al menos una letra en mayúscula.',
    numbers1: 'Use al menos un número.',
    numbers3: 'Use al menos tres números.',
    specialChar1: 'Use al menos un carácter especial (por ejemplo: !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'Use al menos dos caracteres especiales (por ejemplo: !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'Use letras en minúsculas y mayúsculas.',
    comboLettersAndNumbers: 'Use números y letras.',
    comboLettersNumbersSpecial: 'Use números, letras y caracteres especiales.',
    yourPasswordIsStrong: 'Puede hacerla aún más segura aumentando su longitud.',
    passwordStrength: 'Seguridad de la contraseña: %%strength%%.',
    strengthVeryStrong: 'MUY SEGURA',
    strengthStrong: 'SEGURA',
    strengthVeryWeak: 'MUY POCO SEGURA',
    strengthWeak: 'POCO SEGURA',
    strengthMedium: 'MEDIANA',
    hidePassword: 'Ocultar contraseña',
    showPassword: 'Mostrar contraseña',
    generateButton: 'Generar',
    copyButtonHint: 'Copie la contraseña',
    copySuccessToast: 'Se ha copiado la contraseña',
    generateButtonHint: 'Genere una contraseña segura'
  },
  InPlaceEdit: {
    editButtonHint: 'Edite el valor',
    okButtonHint: 'Guarde los cambios',
    cancelButtonHint: 'Descarte los cambios'
  },
  InputFile: {
    browseButton: 'Seleccionar archivo...'
  },
  List: {
    totalRows: 'Elementos en total: %%totalRows%%',
    selectedRows: 'Elementos seleccionados: %%selectedRows%% de %%totalRows%%',
    all: 'todos',
    allItemsOnPageSelected: 'Todos los elementos de la página seleccionados',
    allItemsSelected: 'Todos los elementos seleccionados',
    selectAllItems: 'Seleccionar todos los elementos',
    selectAllItemsOnPage: 'Seleccionar todos los elementos de la página',
    deselectAll: 'Deseleccionar'
  },
  ListEmptyView: {
    filteredTitle: 'No se encontró ningún elemento que coincida con el filtro',
    emptyTitle: 'Parece que aquí no hay nada',
    filteredDescription: 'Restrinja su consulta o elimine algunos de los criterios del filtro e inténtelo de nuevo.'
  },
  ListOperation: {
    cancelButton: 'Cancelar'
  },
  Pagination: {
    totalShort: 'of %%total%%',
    itemsPerPage: 'Elementos por página',
    all: 'Todo',
    total: 'Página %%current%% de %%total%%'
  },
  ProgressDialog: {
    closeButton: 'Cerrar',
    cancelButton: 'Cancelar'
  },
  Select: {
    noOptions: 'No hay opciones',
    placeholder: 'Seleccionar...'
  },
  SpotPopup: {
    total: '%%current%% de %%total%%'
  },
  Toaster: {
    closeGroup: 'Cerrar grupo'
  }
};