"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
var _default = exports.default = {
  Card: {
    select: 'Valitse',
    titleLinkTooltip: 'Siirry sivulle',
    collapseCardTooltip: 'Sulje kortti',
    expandCardTooltip: 'Laajenna kortti'
  },
  CardList: {
    loadMore: 'Lataa lisää',
    notFound: 'Kohteita ei löytynyt.',
    toolbarSelect: 'Valitse',
    viewCards: 'Kortit',
    viewTiles: 'Ruudut',
    viewList: 'Luettelo',
    toolbarView: 'Näytä'
  },
  ClosingConfirmation: {
    confirm: 'Poistu',
    cancel: 'Palaa takaisin',
    content: 'Haluatko varmasti sulkea ja poistua tästä ikkunasta? Tekemiäsi tietomuutoksia ei tallenneta.'
  },
  Cuttable: {
    showMore: 'Näytä enemmän',
    showLess: 'Näytä vähemmän'
  },
  Dialog: {
    cancelButton: 'Peruuta'
  },
  DrawerProgress: {
    cancelButton: 'Peruuta'
  },
  Dropdown: {
    close: 'Sulje'
  },
  Form: {
    submitButton: 'Tallenna',
    applyButton: 'Hyväksy',
    cancelButton: 'Peruuta'
  },
  FormField: {
    clear: 'Tyhjennä',
    remove: 'Poista',
    addMore: 'Lisää vielä yksi'
  },
  FormFieldPassword: {
    improvePassword: 'Näin parannat salasanaasi:',
    passwordTooShort: 'Tee salasanasta pitempi.',
    lettersLowerCase: 'Käytä vähintään yhtä pientä kirjainta.',
    lettersUpperCase: 'Käytä vähintään yhtä isoa kirjainta.',
    numbers1: 'Käytä vähintään yhtä numeroa.',
    numbers3: 'Käytä vähintään kolmea numeroa.',
    specialChar1: 'Käytä vähintään yhtä erikoismerkkiä (esim. !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'Käytä vähintään kahta erikoismerkkiä (esim. !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'Käytä sekä isoja että pieniä kirjaimia.',
    comboLettersAndNumbers: 'Käytä sekä numeroita että kirjaimia.',
    comboLettersNumbersSpecial: 'Käytä numeroita, kirjaimia ja erikoismerkkejä.',
    yourPasswordIsStrong: 'Voit tehdä siitä vielä vahvemman lisäämällä sen pituutta.',
    passwordStrength: 'Salasanan vahvuus on %%strength%%.',
    strengthVeryStrong: 'HYVIN VAHVA',
    strengthStrong: 'VAHVA',
    strengthVeryWeak: 'HYVIN HEIKKO',
    strengthWeak: 'HEIKKO',
    strengthMedium: 'KOHTALAINEN',
    hidePassword: 'Piilota salasana',
    showPassword: 'Näytä salasana',
    generateButton: 'Luo',
    copyButtonHint: 'Kopioi salasana',
    copySuccessToast: 'Salasana kopioitiin',
    generateButtonHint: 'Luo vahva salasana'
  },
  InPlaceEdit: {
    editButtonHint: 'Muokkaa arvoa',
    okButtonHint: 'Tallenna muutokset',
    cancelButtonHint: 'Hylkää muutokset'
  },
  InputFile: {
    browseButton: 'Valitse tiedosto...'
  },
  List: {
    totalRows: 'Yhteensä %%totalRows%% kohdetta',
    selectedRows: '%%totalRows%% kohteesta %%selectedRows%% valittu',
    all: 'kaikki',
    allItemsOnPageSelected: 'Kaikki kohteet valittu sivulla',
    allItemsSelected: 'Kaikki kohteet valittu',
    selectAllItems: 'Valitse kaikki kohteet',
    selectAllItemsOnPage: 'Valitse kaikki kohteet sivulla',
    deselectAll: 'Poista valinta'
  },
  ListEmptyView: {
    filteredTitle: 'Suodattimella ei löytynyt kohteita',
    emptyTitle: 'Täällä ei näytä olevan mitään',
    filteredDescription: 'Muokkaa hakua tai poista osa suodattimen kriteereistä ja yritä uudelleen.'
  },
  ListOperation: {
    cancelButton: 'Peruuta'
  },
  Pagination: {
    totalShort: '/%%total%%',
    itemsPerPage: 'Kohdetta per sivu',
    all: 'Kaikki',
    total: 'Sivu %%current%%/%%total%%'
  },
  ProgressDialog: {
    closeButton: 'Sulje',
    cancelButton: 'Peruuta'
  },
  Select: {
    noOptions: 'Ei vaihtoehtoja',
    placeholder: 'Valitse...'
  },
  SpotPopup: {
    total: '%%current%%/%%total%%'
  },
  Toaster: {
    closeGroup: 'Sulje ryhmä'
  }
};