"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _enUS = _interopRequireDefault(require("./en-US"));
var _ar = _interopRequireDefault(require("./ar"));
var _caES = _interopRequireDefault(require("./ca-ES"));
var _csCZ = _interopRequireDefault(require("./cs-CZ"));
var _daDK = _interopRequireDefault(require("./da-DK"));
var _deDE = _interopRequireDefault(require("./de-DE"));
var _elGR = _interopRequireDefault(require("./el-GR"));
var _esES = _interopRequireDefault(require("./es-ES"));
var _fiFI = _interopRequireDefault(require("./fi-FI"));
var _frFR = _interopRequireDefault(require("./fr-FR"));
var _heIL = _interopRequireDefault(require("./he-IL"));
var _huHU = _interopRequireDefault(require("./hu-HU"));
var _idID = _interopRequireDefault(require("./id-ID"));
var _itIT = _interopRequireDefault(require("./it-IT"));
var _jaJP = _interopRequireDefault(require("./ja-JP"));
var _koKR = _interopRequireDefault(require("./ko-KR"));
var _msMY = _interopRequireDefault(require("./ms-MY"));
var _nbNO = _interopRequireDefault(require("./nb-NO"));
var _nlNL = _interopRequireDefault(require("./nl-NL"));
var _plPL = _interopRequireDefault(require("./pl-PL"));
var _ptBR = _interopRequireDefault(require("./pt-BR"));
var _ptPT = _interopRequireDefault(require("./pt-PT"));
var _roRO = _interopRequireDefault(require("./ro-RO"));
var _ruRU = _interopRequireDefault(require("./ru-RU"));
var _svSE = _interopRequireDefault(require("./sv-SE"));
var _thTH = _interopRequireDefault(require("./th-TH"));
var _tlPH = _interopRequireDefault(require("./tl-PH"));
var _trTR = _interopRequireDefault(require("./tr-TR"));
var _ukUA = _interopRequireDefault(require("./uk-UA"));
var _viVN = _interopRequireDefault(require("./vi-VN"));
var _zhCN = _interopRequireDefault(require("./zh-CN"));
var _zhTW = _interopRequireDefault(require("./zh-TW"));
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

const locales = {
  'en-US': {
    language: 'en',
    messages: _enUS.default
  },
  ar: {
    language: 'ar',
    messages: _ar.default
  },
  'ca-ES': {
    language: 'ca',
    messages: _caES.default
  },
  'cs-CZ': {
    language: 'cs',
    messages: _csCZ.default
  },
  'da-DK': {
    language: 'da',
    messages: _daDK.default
  },
  'de-DE': {
    language: 'de',
    messages: _deDE.default
  },
  'el-GR': {
    language: 'el',
    messages: _elGR.default
  },
  'es-ES': {
    language: 'es',
    messages: _esES.default
  },
  'fi-FI': {
    language: 'fi',
    messages: _fiFI.default
  },
  'fr-FR': {
    language: 'fr',
    messages: _frFR.default
  },
  'he-IL': {
    language: 'he',
    messages: _heIL.default
  },
  'hu-HU': {
    language: 'hu',
    messages: _huHU.default
  },
  'id-ID': {
    language: 'id',
    messages: _idID.default
  },
  'it-IT': {
    language: 'it',
    messages: _itIT.default
  },
  'ja-JP': {
    language: 'ja',
    messages: _jaJP.default
  },
  'ko-KR': {
    language: 'ko',
    messages: _koKR.default
  },
  'ms-MY': {
    language: 'ms',
    messages: _msMY.default
  },
  'nb-NO': {
    language: 'nb',
    messages: _nbNO.default
  },
  'nl-NL': {
    language: 'nl',
    messages: _nlNL.default
  },
  'pl-PL': {
    language: 'pl',
    messages: _plPL.default
  },
  'pt-BR': {
    language: 'pt',
    messages: _ptBR.default
  },
  'pt-PT': {
    language: 'pt',
    messages: _ptPT.default
  },
  'ro-RO': {
    language: 'ro',
    messages: _roRO.default
  },
  'ru-RU': {
    language: 'ru',
    messages: _ruRU.default
  },
  'sv-SE': {
    language: 'sv',
    messages: _svSE.default
  },
  'th-TH': {
    language: 'th',
    messages: _thTH.default
  },
  'tl-PH': {
    language: 'tl',
    messages: _tlPH.default
  },
  'tr-TR': {
    language: 'tr',
    messages: _trTR.default
  },
  'uk-UA': {
    language: 'uk',
    messages: _ukUA.default
  },
  'vi-VN': {
    language: 'vi',
    messages: _viVN.default
  },
  'zh-CN': {
    language: 'zh',
    messages: _zhCN.default
  },
  'zh-TW': {
    language: 'zh',
    messages: _zhTW.default
  }
};
var _default = exports.default = locales;