"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
var _default = exports.default = {
  Card: {
    select: 'Selecteren',
    titleLinkTooltip: 'Ga naar pagina',
    collapseCardTooltip: 'Kaart sluiten',
    expandCardTooltip: 'Kaart openen'
  },
  CardList: {
    loadMore: 'Meer laden',
    notFound: 'Niets gevonden.',
    toolbarSelect: 'Selecteren',
    viewCards: 'Kaarten',
    viewTiles: 'Tegels',
    viewList: 'Lijst',
    toolbarView: 'Weergave'
  },
  ClosingConfirmation: {
    confirm: 'Toch sluiten',
    cancel: 'Terug',
    content: 'Weet u zeker dat u dit venster wilt sluiten? Uw wijzigingen zullen verloren gaan.'
  },
  Cuttable: {
    showMore: 'Meer weergeven',
    showLess: 'Minder weergeven'
  },
  Dialog: {
    cancelButton: 'Annuleren'
  },
  DrawerProgress: {
    cancelButton: 'Annuleren'
  },
  Dropdown: {
    close: 'Sluiten'
  },
  Form: {
    submitButton: 'Opslaan',
    applyButton: 'Toepassen',
    cancelButton: 'Annuleren'
  },
  FormField: {
    clear: 'Leeg maken',
    remove: 'Verwijderen',
    addMore: 'Extra toevoegen'
  },
  FormFieldPassword: {
    improvePassword: 'Zo maakt u uw wachtwoord sterker:',
    passwordTooShort: 'Maak het wachtwoord langer.',
    lettersLowerCase: 'Gebruik ten minste één kleine letter.',
    lettersUpperCase: 'Gebruik ten minste één hoofdletter.',
    numbers1: 'Gebruik ten minste één cijfer.',
    numbers3: 'Gebruik ten minste drie cijfers.',
    specialChar1: 'Gebruik ten minste één speciaal teken (bijvoorbeeld: !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'Gebruik ten minste twee speciale tekens (bijvoorbeeld: !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'Gebruik zowel kleine letters als hoofdletters.',
    comboLettersAndNumbers: 'Gebruik zowel cijfers als letters.',
    comboLettersNumbersSpecial: 'Gebruik cijfers, letters en speciale tekens.',
    yourPasswordIsStrong: 'U kunt het nog verder versterken door het langer te maken.',
    passwordStrength: 'De sterkte van het wachtwoord is %%strength%%.',
    strengthVeryStrong: 'ZEER STERK',
    strengthStrong: 'STERK',
    strengthVeryWeak: 'ZEER ZWAK',
    strengthWeak: 'ZWAK',
    strengthMedium: 'GEMIDDELD',
    hidePassword: 'Wachtwoord verbergen',
    showPassword: 'Wachtwoord tonen',
    generateButton: 'Genereren',
    copyButtonHint: 'Wachtwoord kopiëren',
    copySuccessToast: 'Wachtwoord is gekopieerd',
    generateButtonHint: 'Sterk wachtwoord genereren'
  },
  InPlaceEdit: {
    editButtonHint: 'Waarde bewerken',
    okButtonHint: 'Wijzigingen opslaan',
    cancelButtonHint: 'Wijzigingen ongedaan maken'
  },
  InputFile: {
    browseButton: 'Bestand selecteren...'
  },
  List: {
    totalRows: '%%totalRows%% items in totaal',
    selectedRows: '%%selectedRows%% van %%totalRows%% items geselecteerd',
    all: 'Alle',
    allItemsOnPageSelected: 'Alle items op de pagina geselecteerd',
    allItemsSelected: 'Alle items geselecteerd',
    selectAllItems: 'Alle items selecteren',
    selectAllItemsOnPage: 'Alle items op de pagina selecteren',
    deselectAll: 'Selectie opheffen'
  },
  ListEmptyView: {
    filteredTitle: 'Kan niets vinden dat voldoet aan de filter-criteria',
    emptyTitle: 'Hier is helemaal niets',
    filteredDescription: 'Pas uw zoekopdracht aan of verwijder enkele criteria uit het filter en probeer het opnieuw.'
  },
  ListOperation: {
    cancelButton: 'Annuleren'
  },
  Pagination: {
    totalShort: 'van %%total%%',
    itemsPerPage: 'Items per pagina',
    all: 'Alles',
    total: 'Pagina %%current%% van %%total%%'
  },
  ProgressDialog: {
    closeButton: 'Sluiten',
    cancelButton: 'Annuleren'
  },
  Select: {
    noOptions: 'Geen opties',
    placeholder: 'Selecteren...'
  },
  SpotPopup: {
    total: '%%current%% van %%total%%'
  },
  Toaster: {
    closeGroup: 'Groep sluiten'
  }
};