"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
var _default = exports.default = {
  Card: {
    select: 'Selecionar',
    titleLinkTooltip: 'Ir para a página',
    collapseCardTooltip: 'Contrair o cartão',
    expandCardTooltip: 'Expandir o cartão'
  },
  CardList: {
    loadMore: 'Carregar mais',
    notFound: 'Sem resultados.',
    toolbarSelect: 'Selecionar',
    viewCards: 'Cartões',
    viewTiles: 'Mosaico',
    viewList: 'Lista',
    toolbarView: 'Visualizar'
  },
  ClosingConfirmation: {
    confirm: 'Sair',
    cancel: 'Retroceder',
    content: 'Tem a certeza de que fechar esta janela? Quaisquer alterações que tenha efetuado não serão guardadas.'
  },
  Cuttable: {
    showMore: 'Mostrar mais',
    showLess: 'Mostrar menos'
  },
  Dialog: {
    cancelButton: 'Cancelar'
  },
  DrawerProgress: {
    cancelButton: 'Cancelar'
  },
  Dropdown: {
    close: 'Fechar'
  },
  Form: {
    submitButton: 'Guardar',
    applyButton: 'Aplicar',
    cancelButton: 'Cancelar'
  },
  FormField: {
    clear: 'Limpar',
    remove: 'Remover',
    addMore: 'Adicionar mais um'
  },
  FormFieldPassword: {
    improvePassword: 'Para melhorar a sua palavra-passe:',
    passwordTooShort: 'Torne a sua palavra-passe mais longa.',
    lettersLowerCase: 'Utilize, pelo menos, um caractere minúsculo.',
    lettersUpperCase: 'Utilize, pelo menos, um caractere maiúsculo.',
    numbers1: 'Utilize, pelo menos, um número.',
    numbers3: 'Utilize, pelo menos, três números.',
    specialChar1: 'Utilize, pelo menos, um caractere especial (por exemplo: !, @, #, $, %, ^, &, *, ?, _, ~).',
    specialChar2: 'Utilize, pelo menos, dois caracteres especiais (por exemplo: !, @, #, $, %, ^, &, *, ?, _, ~).',
    comboUpperAndLower: 'Utilize caracteres maiúsculos e minúsculos.',
    comboLettersAndNumbers: 'Utilize números e caracteres.',
    comboLettersNumbersSpecial: 'Utilize números, caracteres e caracteres especiais.',
    yourPasswordIsStrong: 'Pode torná-la ainda mais forte aumentando o seu comprimento.',
    passwordStrength: 'A força da sua palavra-passe é: %%strength%%.',
    strengthVeryStrong: 'MUITO FORTE',
    strengthStrong: 'FORTE',
    strengthVeryWeak: 'MUITO FRACA',
    strengthWeak: 'FRACA',
    strengthMedium: 'MÉDIA',
    hidePassword: 'Ocultar a palavra-passe',
    showPassword: 'Mostrar a palavra-passe',
    generateButton: 'Gerar',
    copyButtonHint: 'Copiar a palavra-passe',
    copySuccessToast: 'A palavra-passe foi copiada',
    generateButtonHint: 'Gerar uma palavra-passe mais forte'
  },
  InPlaceEdit: {
    editButtonHint: 'Editar o valor',
    okButtonHint: 'Guardar as alterações',
    cancelButtonHint: 'Rejeitar as alterações'
  },
  InputFile: {
    browseButton: 'Escolha o ficheiro...'
  },
  List: {
    totalRows: 'Total de %%totalRows%% artigos',
    selectedRows: '%%selectedRows%% de %%totalRows%% artigos selecionados',
    all: 'Todos',
    allItemsOnPageSelected: 'Todos os artigos da página foram selecionados',
    allItemsSelected: 'Todos os artigos selecionados',
    selectAllItems: 'Selecionar todos os artigos',
    selectAllItemsOnPage: 'Selecionar todos os artigos da página',
    deselectAll: 'Anular seleção'
  },
  ListEmptyView: {
    filteredTitle: 'Não foi possível encontrar artigos correspondentes ao filtro',
    emptyTitle: 'Parece que não há nada aqui',
    filteredDescription: 'Refine a sua consulta ou remova alguns critérios do filtro e tente novamente.'
  },
  ListOperation: {
    cancelButton: 'Cancelar'
  },
  Pagination: {
    totalShort: 'de %%total%%',
    itemsPerPage: 'Artigos por página',
    all: 'Tudo',
    total: 'Página %%current%% de %%total%%'
  },
  ProgressDialog: {
    closeButton: 'Fechar',
    cancelButton: 'Cancelar'
  },
  Select: {
    noOptions: 'Sem opções',
    placeholder: 'Selecione...'
  },
  SpotPopup: {
    total: '%%current%% de %%total%%'
  },
  Toaster: {
    closeGroup: 'Fechar o grupo'
  }
};