import { FunctionComponent, ReactNode } from 'react';
export type ExtendedStatusMessageActionsProps = {
    /**
     * Content of the `ExtendedStatusMessageActions`.
     * @since 0.0.47
     */
    children: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `ExtendedStatusMessageActions` is a part of [ExtendedStatusMessage](#!/ExtendedStatusMessage) component.
 * @since 0.0.35
 */
declare const ExtendedStatusMessageActions: FunctionComponent<ExtendedStatusMessageActionsProps>;
export default ExtendedStatusMessageActions;
