import { FunctionComponent, ReactNode } from 'react';
export type ExtendedStatusMessageDescriptionProps = {
    /**
     * Content of the `ExtendedStatusMessageDescription`.
     * @since 0.0.47
     */
    children: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
};
/**
 * `ExtendedStatusMessageDescription` is a part of [ExtendedStatusMessage](#!/ExtendedStatusMessage) component.
 * @since 0.0.35
 */
declare const ExtendedStatusMessageDescription: FunctionComponent<ExtendedStatusMessageDescriptionProps>;
export default ExtendedStatusMessageDescription;
