import { ReactNode, Ref } from 'react';
export declare const PortalContext: import("react").Context<HTMLElement | undefined>;
type LayerProps = {
    /**
     * Content of the `Layer`.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    className?: string;
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    innerRef?: Ref<HTMLDivElement>;
    /**
     * Level.
     */
    level?: number;
};
/**
 * `Layer` component.
 */
declare const Layer: ({ baseClassName, className, children, innerRef, level, ...props }: LayerProps) => import("react").ReactPortal;
export default Layer;
