import { FunctionComponent } from 'react';
type ProgressIndicatorProps = {
    /**
     * @ignore
     */
    baseClassName?: string;
    /**
     * @ignore
     */
    className?: string;
    /**
     * Visual intent color to apply to component.
     */
    intent?: 'info' | 'success' | 'warning' | 'danger';
    /**
     * Progress indication in numbers
     */
    progress?: number;
};
declare const ProgressIndicator: FunctionComponent<ProgressIndicatorProps>;
export default ProgressIndicator;
