import { CSSProperties, ReactChild, ReactNode } from 'react';
import { DataAttributes } from '../../utils/types';
export type SegmentedControlButton<T> = {
    value: T;
    title?: ReactChild;
    icon?: ReactNode;
    className?: string;
    style?: CSSProperties;
    disabled?: boolean;
    tooltip?: ReactNode;
} & DataAttributes;
