import { ReactNode } from 'react';
export type Value = string | number;
export type Group = {
    label?: string;
    options: Option[];
    props?: {
        [key: string]: any;
    };
};
export type Option = {
    value: Value;
    label: string;
    disabled: boolean;
    children: ReactNode;
    group?: Group;
    props: {
        [key: string]: any;
    };
};
