import { ReactElement, RefObject } from 'react';
import { TabProps } from './Tab';
export type TabMode = 'menu-item' | 'tab';
interface TabListProps {
    children: ReactElement<TabProps> | ReactElement<TabProps>[];
    tabListRef: RefObject<HTMLUListElement>;
    active: number;
    onTabClick: (active: number) => void;
    visibleLength: number;
    monospacedWidth?: number;
    baseClassName: string;
    tabPanelId?: string;
    idPrefix?: string;
}
declare const TabList: ({ children, tabListRef, active, onTabClick, visibleLength, monospacedWidth, baseClassName, tabPanelId, idPrefix, }: TabListProps) => import("react/jsx-runtime").JSX.Element;
export default TabList;
