import { RefObject } from 'react';
type UseResizeObserverOptions<T extends HTMLElement = HTMLElement> = {
    ref: RefObject<T>;
    onResize?: () => void;
    callOnInit?: boolean;
};
export declare const useResizeObserver: <Element extends HTMLElement = HTMLElement>({ ref, onResize, callOnInit, }: UseResizeObserverOptions<Element>) => void;
export {};
